[Buildroot] [PATCH] board/pc/post-image-efi.sh: fail on any error

unixmania at gmail.com unixmania at gmail.com
Mon Dec 2 11:18:59 UTC 2019


From: Carlos Santos <unixmania at gmail.com>

As alredy done in post-build.sh, to prevent hiding errors.

Signed-off-by: Carlos Santos <unixmania at gmail.com>
---
 board/pc/post-image-efi.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/board/pc/post-image-efi.sh b/board/pc/post-image-efi.sh
index 178565f18b..a0df70a6ab 100755
--- a/board/pc/post-image-efi.sh
+++ b/board/pc/post-image-efi.sh
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -e
+
 UUID=$(dumpe2fs "$BINARIES_DIR/rootfs.ext2" 2>/dev/null | sed -n 's/^Filesystem UUID: *\(.*\)/\1/p')
 sed -i "s/UUID_TMP/$UUID/g" "$BINARIES_DIR/efi-part/EFI/BOOT/grub.cfg"
 sed "s/UUID_TMP/$UUID/g" board/pc/genimage-efi.cfg > "$BINARIES_DIR/genimage-efi.cfg"
-- 
2.18.1



More information about the buildroot mailing list